libssh2_sftp_open_ex(3)

NAME
libssh2_sftp_open - open filehandle for file on SFTP.

SYNOPSIS
#include <libssh2.h> #include <libssh2_sftp.h> LIBSSH2_SFTP_HANDLE * libssh2_sftp_open_ex(LIBSSH2_SFTP *sftp, const char *filename, unsigned int filename_len, unsigned long flags, long mode, int open_type); LIBSSH2_SFTP_HANDLE * libssh2_sftp_open(LIBSSH2_SFTP *sftp, const char *filename, unsigned long flags, long mode); LIBSSH2_SFTP_HANDLE * libssh2_sftp_opendir(LIBSSH2_SFTP *sftp, const char *path);

DESCRIPTION
sftp - SFTP instance as returned by libssh2_sftp_init(3) filename - Remote file/directory resource to open filename_len - Length of filename flags - Any (reasonable) combination of the LIBSSH2_FXF_* constants corresponding fopen modes. mode - POSIX file permissions to assign if the file is being newly created. open_type - Either of LIBSSH2_SFTP_OPENFILE (to open a file) or LIBSSH2_SFTP_OPENDIR (to open a directory).

RETURN VALUE
A pointer to the newly created LIBSSH2_SFTP_HANDLE instance or NULL on failure.

ERRORS
LIBSSH2_ERROR_ALLOC - An internal memory allocation call failed. LIBSSH2_ERROR_SOCKET_SEND - Unable to send data on socket. LIBSSH2_ERROR_SOCKET_TIMEOUT - LIBSSH2_ERROR_SFTP_PROTOCOL - An invalid SFTP protocol response was received on the socket, or an SFTP operation caused an errorcode to be returned by the server. LIBSSH2_ERROR_EAGAIN - Marked for non-blocking I/O but the call would block.

SEE ALSO
libssh2_sftp_close_handle(3)